/* $Id: pager.h,v 2.5 2014/05/03 17:33:37 hurtta Exp $ */

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.5 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI>
 *       or Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

/* Returns 1 if processed OK, 0 on failure 
 *
 * (0,0) = (*cur_line,*cur_col) is the top left!
 */
extern enum span_result {  span_failure = 0,
	span_ok      = 1,
	span_FF_seen,
	span_EOS     /* End of string */,
	span_NL_seen,
	span_wrapping,
	span_wordwrapped
} span_line P_((struct menu_context *ctx,
		int cur_line, int *cur_col,
		const struct string * buffer,
		int *pos, int *mayclear,
		int this_flags,
		int max_width,
		int max_len));

/* Word wrapping */
extern enum span_result span_words P_((struct menu_context *ctx,
				       int cur_line, int *cur_col,
				       const struct string * buffer,
				       int *pos, int *mayclear,
				       int this_flags,
				       int max_width,
				       int max_len,
				       int joined_line,
				       int p_start_COL,
				       int p_width));


extern enum span_result span_range_prefix P_((struct menu_context *ctx,
					      int cur_line, int *cur_col,
					      uint16 first_char,
					      struct pager_range  * pager_range,
					      int *this_flags,
					      int *mayclear));

extern struct pg_wrap_info * new_pg_wrap_info P_((void));
extern void free_pg_wrap_info P_((struct pg_wrap_info **info));

/* Increments *virtual_line */
extern void record_pg_wrap_info P_((struct pg_wrap_info *info,
				    int *virtual_line,
				    int buffer_idx, int buffer_x,
				    struct pager_lineext *buffer_lineext));

/* Returns 1 if info found and *buffer_idx, *buffer_x, * buffer_lineext updated */
extern int goto_pg_wrap_info P_((struct pg_wrap_info *info,
				 int virtual_line,
				 int *buffer_idx, int *buffer_x,
				 struct pager_lineext ** buffer_lineext));

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
