case $CONFIG in
'')
    if test ! -f config.sh; then
	ln ../config.sh . || \
	ln ../../config.sh . || \
	ln ../../../config.sh . || \
	ln ../../../../config.sh . || \
	(echo "Can't find config.sh."; exit 1)
    fi
    . ./config.sh
    ;;
esac

case "$subdir" in
'')
    case "$0" in
    */*) cd `expr X$0 : 'X\(.*\)/'` ;;
    esac	    

    vpathdef="#VPATH		= "
    XXsrc="."
    XXsrcroot="../.."
    ;;
*)
    vpathdef="VPATH		=	$source_dir/$subdir"
    XXsrc="$source_dir/$subdir"
    XXsrcroot="$source_dir"
    ;;
esac

echo "Extracting src/list/Makefile (with variable substitutions)"
cat >Makefile <<!GROK!THIS!
#!$make
#
# $Id: Makefile.SH,v 2.4 2011/07/14 13:36:46 hurtta Exp $
#
#  Makefile for the ELM (ME+) mail program.
#
# Variables
#	Variables established by Configure
AR		=	$ar
CC		=	$cc
CCFLAGS		=	$ccflags $picflag $xencf
CHMOD		=	$chmod
CP		=	$cp
OPTIMIZE	=	$optimize
RANLIB		=	$ranlib
RM		= 	$rm -f
TOUCH		=	$touch
TAGS		=	ctags
$vpathdef
SRC		=	$XXsrc
SRCROOT		=	$XXsrcroot
!GROK!THIS!

cat >>Makefile <<'!NO!SUBS!'
#	Other general variables
CFLAGS		=	-I$(IHDR) -I$(INCLDIR) $(CCFLAGS) $(OPTIMIZE) $(DEBUG) 
INCLDIR		=	$(SRCROOT)/hdrs
IHDR		=	../../hdrs
SHELL		=	/bin/sh

OBJ		=	list.o reply.o select.o info.o visit_mailbox.o

all:			Makefile liblist.a

install_s:		Makefile liblist.a

uninstall_s:		

clean:
	$(RM) $(OBJ) liblist.a


Makefile: Makefile.SH ../../config.sh
	@echo "You must run 'sh Configure -S' or 'sh Configure'"
	exit 1

liblist.a:		$(OBJ)
			$(AR) r $@ $?
			$(RANLIB) $@

#	Dependencies of header files upon other header files they include
.PRECIOUS:		$(IHDR)/elm_defs.h $(IHDR)/defs_major.h def_list.h \
 $(IHDR)/me.h $(IHDR)/misclib.h

$(IHDR)/elm_defs.h:	$(IHDR)/defs_major.h $(INCLDIR)/elm_nl_types.h \
 $(INCLDIR)/elmlib.h 
			$(CHMOD) u+w $@
			$(TOUCH) $@

def_list.h:		$(IHDR)/elm_defs.h $(IHDR)/me.h \
 $(INCLDIR)/mboxlib.h  $(INCLDIR)/elm_globals.h
			cmp $(SRC)/$@ $@ || $(CP) $(SRC)/$@ $@
			$(CHMOD) u+w $@
			$(TOUCH) $@

$(IHDR)/misclib.h: $(INCLDIR)/mlist_common.h
			$(CHMOD) u+w $@
			$(TOUCH) $@

$(IHDR)/me.h:	$(INCLDIR)/melib.h $(IHDR)/misclib.h $(INCLDIR)/addrlib.h \
  $(INCLDIR)/mime.h
			$(CHMOD) u+w $@
			$(TOUCH) $@


#	Dependencies of C object files

list.o:		     def_list.h $(INCLDIR)/s_me.h
reply.o:	     def_list.h $(INCLDIR)/s_me.h $(INCLDIR)/mailerlib.h
select.o:	     def_list.h $(INCLDIR)/s_me.h
info.o:	     def_list.h $(INCLDIR)/s_me.h $(INCLDIR)/mailerlib.h
visit_mailbox.o:	def_list.h $(INCLDIR)/s_elm.h
!NO!SUBS!

